Support » Plugin: Post and Page Builder by BoldGrid - Visual Drag and Drop Editor » Last update mess all and block no longer work

  • Resolved littlepellizza

    (@littlepellizza)


    Dear Boldgrid i updated to latest version but there is two big bug
    the first ( see the pix), i can’t add block or plug in latest version. it’s all empty
    the second when i write i can’t change font with + , this things is dissapear
    the T icon dissapear

    also when i click on block icon in the editori it’s not open anything

    https://ibb.co/hDsZvdg

    The page I need help with: [log in to see the link]

Viewing 9 replies - 1 through 9 (of 9 total)
  • Plugin Support Joseph W

    (@joe9663)

    Hi littlepellizza, sorry to hear about the problems with the recent update.

    I just tested out the latest Post and Page Builder version in one of my environments and so far I have not been able to replicate the problem shown in your screenshot.

    My first suspicion is that this error is being created by some kind of plugin conflict with the recent update. You can test for a plugin conflict by temporarily deactivating all non-BoldGrid plugins and then loading the editor. If the controls start working as expected then one of those other plugins is most likely the source of the conflict.

    If the controls start working after the deactivations then you can start reactivating your other plugins one by one to find out which one is causing the conflict. Assuming that this is a plugin conflict, could you let us know which plugin is incompatible with the latest Post and Page Builder version?

    The problem could also be related to a bad update, deleting the Post and Page Builder and then reinstalling should help ensure that you have the correct plugin files in place.

    Hopefully we will be able to help you get this sorted out soon!

    Thread Starter littlepellizza

    (@littlepellizza)

    i try to disinstall and install post builder , but problem are the same

    The only plug in that i have update it’s PODS and RANK MATH SEO and elementor

    if i deactivate them i lose part of my site
    I see in the editor that tiny mce icon is dissappear and there lots of gfx problem in your editor now

    Plugin Support Joseph W

    (@joe9663)

    Hi littlepellizza,

    Our developers found an issue with the version of the Post and Page Builder that was being distributed by the WordPress SVN, there was a JavaScript file missing from that distribution. Fortunately they were able to get the error corrected and all of the correct files should be going out now.

    One way to ensure that you have the distribution with all of the files in place is delete the Post and Page Builder from your website completely. Then, instead of reinstalling the plugin through your WordPress admin, download the plugin Zip from the plugin page on WordPress.org using the Download button there. Once you’ve downloaded that Zip file you can then manually Upload it to your website under Plugins > Add New.

    The previous distribution was missing the tinymce_tables.min.js file in the assets folder, and I just confirmed that the Zip downloaded from the WordPress.org page has that file in it.

    After the correct plugin distribution is installed I would then make sure that your Pages and Posts are configured to load the Post and Page Builder tools by default. You can set the default editor type by navigating to Post and Page Builder > Settings in your WordPress admin where you will see a series of dropdown menus that you can use to set the defaults.

    I hope that helps you get things working as expected and please let us know if there is anything else that we can do to assist you!

    Thread Starter littlepellizza

    (@littlepellizza)

    Dear
    i unistalled, clear cache and installed post builder by downloading from your link
    but nothing change

    See the pix , if i click on block doesn’t open anything 🙁 , also tiny mce icon near A is missin ( there only the arrow )

    https://ibb.co/KyQ6MxZ

    may u check again?

    Thread Starter littlepellizza

    (@littlepellizza)

    Dear

    i get the problem when i update all this plug beyond your

    pods
    Rank math seo
    elementor

    the problem tha i have is also with chrome, edge e firefox

    i chek on other pc and it’s the same

    also update windows 10

    in the console service i see lots of error
    see the pix : https://ibb.co/SJFfRCq

    Thread Starter littlepellizza

    (@littlepellizza)

    also in firforx console

    https://ibb.co/N6bRqYd

    Thread Starter littlepellizza

    (@littlepellizza)

    ok i found that i disable Advanced Editor Tools (già conosciuto come TinyMCE Advanced)
    alla works so it’s a conflict with Advanced Editor Tools (già conosciuto come TinyMCE Advanced)

    how can solve? if disable i can’t use table

    Plugin Support Joseph W

    (@joe9663)

    Hi littlepellizza,

    I am happy to hear that you were able to find the source of the conflict!

    I did some additional testing and it looks like the conflict with Advanced Editor Tools only occurs in the latest version of the Post and Page Builder, everything seems to work as expected when using the previous stable version 1.20.2.

    If you only need the Tables feature from Advanced Editor Tools then you might want to try using the Tables option that was added to the latest Post and Page Builder version to see if that helps you work with your website content.

    Alternatively, if you prefer using the Tables from Advanced Editor Tools, then you can install WP Rollback on your website and change the Post and Page Builder back to version 1.20.2.

    I created a bug report with our development team to see if we can address this particular conflict in a future release, but I cannot provide any kind of estimate on when we will actually be able to fix the conflict.

    Hopefully one of those solutions allows you to work with your tables again and please let us know if there is anything else that we can do to help!

    Plugin Support Jesse Owens

    (@jessecowens)

    Hi @littlepellizza

    I wanted to let you know that we’ve just released Post and Page Builder 1.21.1 which improves compatibility between Advanced Editor Tools and Post and Page Builder.

    Because both plugins use TinyMCE’s native table tools, if you choose to use both plugins some of the steps are a little different. Normally, the insert row and column buttons appear below the table, but if you’re using both plugins you’ll still need to use the Tables drop-down menu to insert rows and columns.

    Tables that you’ve created with Advanced Editor Tools’ controls don’t respond to all of the customization tools in Post and Page Builder, but we’re working to improve the compatibility more in future releases. At least for now, they should at least work together without completely breaking the editor.

    • This reply was modified 3 months, 1 week ago by Jesse Owens. Reason: update copy/pasted message to make sense
Viewing 9 replies - 1 through 9 (of 9 total)
  • You must be logged in to reply to this topic.